Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.mlkem
Class MLKEMPublicKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters
              org.bouncycastle.pqc.crypto.mlkem.MLKEMPublicKeyParameters

All Implemented Interfaces:
  CipherParameters

Deprecated. use org.bouncycastle.crypto.params.MLKEMKeyPublicKeyParameters

public class MLKEMPublicKeyParameters
extends MLKEMKeyParameters

Constructor Summary
`MLKEMPublicKeyParameters(MLKEMParameters params, byte[] encoding)` Deprecated.
`MLKEMPublicKeyParameters(MLKEMParameters params, byte[] t, byte[] rho)` Deprecated.

Method Summary
`byte[]` | `getEncoded()` Deprecated.
`byte[]` | `getRho()` Deprecated.
`byte[]` | `getT()` Deprecated.

Methods inherited from class org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MLKEMPublicKeyParameters

    public MLKEMPublicKeyParameters(MLKEMParameters params,
                                    byte[] t,
                                    byte[] rho)

  Deprecated.

### MLKEMPublicKeyParameters

    public MLKEMPublicKeyParameters(MLKEMParameters params,
                                    byte[] encoding)

  Deprecated.

Method Detail

### getEncoded

    public byte[] getEncoded()

  Deprecated.

### getRho

    public byte[] getRho()

  Deprecated.

### getT

    public byte[] getT()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD